<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<!-- Copyright of InDigital Solutions, LLC. Do not redistibute unless you have a Gold membership on idplr.com or indigitalworks.com -->

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Google Position checker</title>
<script src="//code.jquery.com/jquery-1.10.2.js"></script>
<script src="script.js"></script>
<link type="text/css" href="style.css" rel="stylesheet" />
</head>
<?php require_once('google_results.php'); ?>
<body>
	<div id="wraper">
	<div class="content">
	<h1>Google Keyword Rank Checker</h1>

<p>Google Position Checker is a very useful keyword rank checker tool that can help you determine your website's relevance for specific keywords. It shows you where your site is ranked in search engines for a keyword. </p>
<p>Simply enter your website and the search term you want to check, and you're done. You can see in what position your website appears almost instantly.</p>
<p>This is how it works&hellip;</p>
<ul>
  <li>To see in what position your website appears, just enter your URL and keywords</li>
  <li>The ranking results appear in the table below</li>
  <li>Enter more URLs and keywords to compare your positions to competitor's ones</li>
  <li>You can check up to 10  websites all at once </li>
</ul>
</br>
</div>		
		<div class="box">
			<div class="row">
				<h3>Google keywords position checker</h3>
			</div>
			<div class="row">
				<form id="frm_ranking" name="frm_ranking" method="post">
					<div class="row">
						<label for="keyword">Keyword:</label>
						<input type="text" id="keyword" name="keyword" class="text" value="<?php echo !empty($_POST['keyword']) ? $_POST['keyword'] : ''; ?>" />
						<input type="hidden" id="start" name="start" value="0" />
					</div>				
					<div class="row" id="domain_container">
						<?php $count = 1; ?>
						<?php if (!empty($_POST['own_domains'])) : ?>
							<?php foreach ($_POST['own_domains'] as $key => $value) : ?>
								<?php if (empty($value)) {continue;} ?>
								<?php $_key = $count; ?>
								<div class="row" id="div_<?php echo $_key; ?>">
									<label class="own_domain" for="own_domain_<?php echo $_key; ?>">Own Domain:</label>
									<input type="text" id="own_domain_<?php echo $_key; ?>" name="own_domains[]" class="text" value="<?php echo $value; ?>" />
									<img id="img_<?php echo $_key; ?>" class="img_del" src="img/del.png" onclick="del(this)" />
								</div>
								<?php $count++; ?>	
							<?php endforeach; ?>
						<?php else : ?>
							<div class="row" id="div_888">
								<label class="own_domain" for="own_domain_1">Own Domain:</label>
								<input type="text" id="own_domain_1" name="own_domains[]" class="text" />
								<img id="img_888" class="img_del" src="img/del.png" onclick="del(this)" />
							</div>
						<?php endif; ?>
						
						<?php if (!empty($_POST['other_domains'])) : ?>
							<?php foreach ($_POST['other_domains'] as $key => $value) : ?>
								<?php if (empty($value)) {continue;} ?>
								<?php $_key = $count; ?>
								<div class="row" id="div_<?php echo $_key; ?>">
									<label class="other_domain" for="other_domain_<?php echo $_key; ?>">Competitor domain:</label>
									<input type="text" id="other_domain_<?php echo $_key; ?>" name="other_domains[]" class="text" value="<?php echo $value; ?>" />
									<img id="img_<?php echo $_key; ?>" class="img_del" src="img/del.png" onclick="del(this)" />
								</div>
								<?php $count++; ?>
							<?php endforeach; ?>
						<?php else : ?>
							<div class="row" id="div_999">
								<label class="other_domain" for="other_domain_2">Competitor domain:</label>
								<input type="text" id="other_domain_2" name="other_domains[]" class="text" />
								<img id="img_999" class="img_del" src="img/del.png" onclick="del(this)" />
							</div>
						<?php endif; ?>
						
					</div>
					<div class="row" id="add_links">
						<label>&nbsp;</label>
						<a href="#" id="link_add_own" class="link_own_domain">Add own domain</a>
						<a href="#" id="link_add_other" class="link_other_domain">Add competitor domain</a>
					</div>
					<div class="row" id="add_links">
						<label>&nbsp;</label>
						<input type="submit" value="Check Keyword Rank" class="btn_submit" />
					</div>
				</form>
			</div>
		</div>
		
		<?php if (!empty($_POST)) : ?>
            <?php $data = $_POST; ?>
            <?php $error = false; ?>
            <?php if (empty($data['keyword'])) : ?>
                <?php $error = true; ?>
                <div class="box">Please enter keyword</div>
            <?php endif; ?>
            <?php if (empty($data['other_domains']) && empty($data['own_domains'])) : ?>
                <?php $error = true; ?>
                <div class="box">Please enter your domains or competitor domains</div>
            <?php endif; ?>
            <?php if ($error == false) : ?>
                <div class="row">
                    <div class="box" id="div_spinner" style="display: none;"><img src="img/loading.gif" /></div>
                    <div class="box" id="div_notification" style="display: none;">&nbsp;</div>
                </div>
                <script type="text/jscript">
                    get_rankings(0);
                </script>
            <?php endif; ?>
        <?php endif; ?>
		<div class="row" id="div_results"></div>
	</div>
<!-- Copyright of InDigital Solutions, LLC. Do not redistibute unless you have a Gold membership on idplr.com or indigitalworks.com -->
</body>
</html>