$( document ).ready(function() {
	
	$( '#add_links a' ).click(function() {
		
		var divs = document.getElementById('domain_container').getElementsByTagName('div');
		
		var length = divs.length + 1;
		
		var btn_id = this.id;
		
		if (btn_id == 'link_add_own') {
			
			var label = 'Own Domain:';
			var input_id = 'own_domain_' + length;
			var label_class = 'own_domain';
			var input_name = 'own_domains[]';
			
		}
		else if (btn_id == 'link_add_other') {
			
			var label = 'Competitor domain:';
			var input_id = 'other_domain_' + length;
			var label_class = 'other_domain';
			var input_name = 'other_domains[]';
		}
		
		var html = '<div id="div_' + length + '" class="row">';
		html += '<label class="' + label_class + '" for="' + input_id + '">' + label + '</label>';
		html += '<input type="text" id="' + input_id + '" name="' + input_name + '" class="text" />';
		html += '<img id="img_' + length + '" class="img_del" src="img/del.png" onclick="del(this)" />';
		html += '</div>';
		
		
		$('#domain_container').append(html);
		$('#' + input_id).focus();
		
	});
  
});

function del(img) {
	
	var img_id = img.id;
	var div_id = img_id.replace('img_', 'div_');
	
	$('#' + div_id).remove();
}

function get_rankings(start) {
	
	$('#div_spinner').show();
	//$('#div_notification').show();
	
	start = parseInt(start);
	
	if (start < 100) {
		//var first = start + 1;
		//var last = start + 100;
		//var html = 'Checking from ' + first + ' to ' + last;
		//$('#div_notification').html(html);
	}
	
	
	var nocacheTimestamp = new Date();
	var _url = 'ajax.php';
	var _url = _url + '?timestamp=' + nocacheTimestamp.getTime();
	
	var _data = $('#frm_ranking').serialize();
	$.ajax({
		url: _url,
		type: 'POST',
		data: _data,
		success: _success,
	});	
}
function _success(html) {
	
	$('#div_results').append(html);
	var start = parseInt($('#start').val());
	start = start + 100;
	
	$('#start').val(start);
	
	if (start < 99) {
		get_rankings(start);
	}
	else {
		
		var divs = document.getElementById('div_results').getElementsByTagName('div');
		if (divs.length == 0) {
			$('#div_notification').show();
			$('#div_notification').html('No result found');
		}
		
		$('#div_spinner').hide();
		$('#start').val(0);
		
		
	}
	
	
	
}